﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<EventCode>


@(
    Html.Grid(Model).Named("AllEventCode").Columns(columns =>
    {
        columns.Add(x => x.Code)
            .Titled("Code")
            .Encoded(false)
            .Sanitized(false)
            .Sortable(true);

        columns.Add(x => x.StartDate)
            .Titled("Start Date")
            .Encoded(false)
            .Sanitized(false)
            .Sortable(true)
            .RenderValueAs(x => x.StartDate.ToString("dd/MM/yyyy"));

        columns.Add(x => x.EndDate)
            .Titled("End Date")
            .Encoded(false)
            .Sanitized(false)
            .Sortable(true)
            .RenderValueAs(x => x.EndDate.ToString("dd/MM/yyyy"));

        columns.Add()
            .Encoded(false)
            .Sanitized(false)
            .SetWidth(50)
            .Css("cell-center")
            .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.EventCode.Edit(x.ID))  ));

        columns.Add()
            .Encoded(false)
            .Sanitized(false)
            .SetWidth(50)
            .Css("cell-center")
            .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.EventCode.Delete(x.ID)), x.Code));


    })
        .Sortable()
        .WithPaging(5)
      )